Skip to main content
POST
/
pay_rates
/
batch
/
upsert
Batch upsert pay rates
curl --request POST \
  --url https://sandbox.nmbr.co/services/payroll/pay_rates/batch/upsert \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
[
  {
    "id": "<id>",
    "rate": 30,
    "expected_hours_per_week": 40,
    "effective_from": "2026-01-01"
  },
  {
    "work_assignment_id": "<id>",
    "type": "hourly",
    "title": "Overtime Rate",
    "rate": 45,
    "expected_hours_per_week": 10,
    "effective_from": "2026-03-01"
  }
]
'

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
Required array length: 1 - 100 elements

Response

202

Accepted